Get Unread Notification Count
curl --request GET \
--url https://api.example.com/api/v1/customer/notifications/unread-count \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/customer/notifications/unread-count"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/customer/notifications/unread-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 3
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Internal Server Error",
"statusCode": 500
}Notification
Get Unread Notification Count
Returns the unread notification count.
GET
/
api
/
v1
/
customer
/
notifications
/
unread-count
Get Unread Notification Count
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Response
OK
Unread notification counter
Unread notification count
Example:
3